Легенда:
+ Нововведение
* Изменение / улучшение
- Исправлен баг
! Известная проблема


Изменения в версии 4.0.559:

+ Реализован режим "Полный газ" с фиксацией состояния (Alt-Del)
+ Реализован 8-битный интерфейс с CompactFlash-картой
+ РК86: для схемы RAMFONT реализована поддержка цвета по схеме CC_Color
+ РК86: добавлена конфигурация с CF-картой и ОС "Мир" Дмитрия Иванова (https://zx-pk.ru/threads/36573-quot-mir-quot-os-dlya-i8080.html)
+ Орион: добавлена поддержка конфигурации Z80-Card II
+ Орион: добавлена поддержка AY, досупна в конфигурации Z80-Card II
+ Орион: добавлена поддержка видеорежима 480*256, доступен в конфигурации Z80-Card II
+ Реализована частичная поддержка часов реального времени КР512ВИ1, поддержка добавлена в конфигурации Ориона DSDOS и Z80-Card II
* В меню добавлены пресеты фиксированного размера окна для распространенных разрешений. Для качественной картинки рекомендуется использовать с сочетании с шейдором pixellate
* Опция сохранения размера окна в диалоге настроек продублирована также в меню
* Добавлена возможность переключать режимы сглаживания в окне отладчика
* Web-версия: добавлена возможность выбора диска B (актуально для Океана)
* Океан: версия ПЗУ по умолчанию изменена на REL.6
* Реализовано переключение знакогенератора на Апогее и Микроше в середине кадра (с точностью до строки симолов)
* Вектор: добавлена возможность загрузки wav-файлов с помощью drag-n-drop, из командной строки или встроенного загрузчика
* Для объекта AddrSpaceMapper добавлен третий параметр - смещение, может быть полезно для упрощения во многих случаях конфигурационных файлов
* Добавлен объект - дешифратор адреса AddrDecoder, имеющий интерфейс, альтернативный AddrSpace
* Название программы сейчас более корректно отображается в системном микшере Linux и в некоторых других случаях
* В документацию добавлено полное описание настроек эмулятора на 10 страницах
- Исправлена ошибка, иногда приводившая к бесконтрольному росту ini-файла и последующим задержкам при работе с эмулятором
- Исправлена ошибка: окно эмулятора не восстанавливало свой размер после смены платформы, если был установлен режим фиксированного размера окна
- Океан: исправлена ошибка с загрузкой файлов, в основном проявлявшаяся при загрузке из командной строки
- Океан: исправлена не всегда работавшая загрузка hex-файлов
- Львов: исправлена ошибка в smart-раскладке клаватуры, проявлявшаяся в "залипании" русской раскладки и невозможности переключиться обратно на латинскую
- Исправлена ошибка в эмуляции контроллера прерываний ВН59, иногда приводившая к зависаниям на Корвете
- Исправлена ошибка, которая могла вызвать отсутствие реакции на клавиатуру после вызова диалогового окна (скриншот, работа с файлами etc.)
- Из директории SD-карты РК-86 убраны неработающие программы (в основном предназначенные для других платформ)
- Исправлены замеченные опечатки


Изменения в версии 4.0.550:

+ Базовая поддкржка ПК "Океан-240"
+ Поддержка игровой приставки "Кроха", в том числе цветной версии по схеме Алексея Морозова
+ Поддержка загрузки файлов Intel HEX, пока только для Океана
+ Добавлен интерфейс отладки, используется для интеграции с Pretty Assembler
* Специалист: немедленное обновление экрана при отладке
* Специалист: ПЗУ заменено более полной версией с дополнительным знакогенератором
* РК-86: добавлена поддержка атрибута инверсии в схеме RAMFONT
* Партнер: добавлена возможность выбрать альтернативные версии ПЗУ
  (спасибо за считанные прошивки Дмитрию Прокудину и пользователю cy6 с форума zx-pk!)
* ZX Spectrum: поддержка загрузки снапшотов в формате .sna
* Корвет: добавлена возможность выбрать конфигурацию с ОПТС 1.1 для совместимости с рассчитанным на эту версию софтом
* Поддержка пользовательских переводов в формате qm, размещенных в директории translations
* ВИ53: реалиован режим 4 таймера
* ВГ93: исправления в командах Read Sector и Write Track
* ВГ93: добавлены таймауты для операций чтения/записи
* ВГ75: улучшена поддержка светового пера
* Смягчены проверки на корректность загружаемых wav-файлов, возможно проигрывание усеченных файлов
* После успешного запуска файла через drag-n-drop окно эмулятора сейчас выводится на передний план и получает фокус
* В интерфейс "connect" добавлены masked inputs
* Добавлен интерфейс "connect" для ВВ55
* Добавлен интерфейс "connect" для входов запроса на прерывание ВН59
* Добавлен интерфейс "connect" для Covox
* Реализована вставка текста из буфера обмена для Ориона, Пальмиры и Микроши
* Улучшена вставка текста для Вектора, РК-86, Апогея и Партнера
- ZX Spectrum: исправления в эмуляции порта FE
- КР-04: исправлено возможное падение эмулятора
- КР-04: исправлен возможный сдвиг атрибутов в текстовых режимах
- Орион: исправлена загрузка файлов без запуска
- Специалист: исправлена проблема с несохранением некоторых настроек платформы
- Специалист: восстановлена возможность запуска Бейсика в ПК Лик
- Вектор: исправлена не работавшая в некоторых случаях функция "Загрузить и выполнить" для образов дисков
- Z80: исправления в инструкции OUTD
- Устранено возможное запаздывание на 1 кадр при отрисовке экрана Специалиста, Крохи, Вектора и Башкирии
- Исправлено возможное падение эмулятора при смене платформы во время проигрывания wav-файла
- Исправления в процедуре вставки текста из буфера обмена
- Устранены возможные утечки памяти (спасибо Serge Shekhavtsov)
- Исправлены замеченные опечатки
- Другие мелкие исправления


Изменения в версии 4.0.535:

+ Специалист: реализована поддержка кадровых прерываний, включается в диалоге конфигурирования платформы
+ Специалист: добавлена поддержка AY и Turbo Sound на порту F400, включается в диалоге конфигурирования платформы
+ Вектор: добавлена поддержка Turbo Sound, включается в диалоге конфигурирования платформы
+ РК-86: добавлена реализация схемы RAMFONT, включается в конфигурационном файле (см. справку по платформе)
  https://zx-pk.ru/threads/36206-ramfont-ruslana-alikberova-(skhema-kod).html
+ ZX Spectrum: добавлена конфигурация для Pentagon 128K, реализованы корректные тайминги для этой модели
+ ZX Spectrum: добавлена поддержка BDI и TR-DOS. Включена по умолчанию для Pentagon, возможно включение для 48K и 128K
+ ZX Spectrum: добавлена поддержка 2 AY по схеме NedoPC Turbo Sound
+ ZX Spectrum: добавлена поддержка звукового интерфейса General Sound (объем памяти модуля - 1 Мб, частота процессора - 12 МГц)
+ Добавлена возможность в конфигурационном файле устанавливать громкость выбранного источника звука в %
* ZX Spectrum: для выхода на магнитофон сейчас установлена пониженная громкость
* ZX Spectrum: добавлена возможность отключить AY для конфигурации 48К
* ZX Spectrum: добавлена возможность использования клавиш F11 для сброса (без "быстрого" сброса) и F12 сдля сброса в TR-DOS.
  Клавиша Break перенесена с F12 на Tab
* Z80: добавлена реализация недокументированных инструкций IM 0/1/2
* Выровнено отображение мнемоник Z80 в отладчике
* Специалист: в отладчик добавлена информация о текущем положении луча (с точностью до скан-линии)
* РК-86: исключен вывод постоянной составляющей на выходе таймера в режиме после сброса
* РК-86: в образ диска rkdos29.rdi возвращен имеющийся в исходном образе текстовый файл-метка
* Пальмира: обновлена до актуальной версии ОС CP/M в директории SD-карты
* Партнер: обновлены файлы прошивки и SD BIOS контроллера SD-карты для Партнера
* Исправлены неточности в эмуляции КНГМД ВГ93
* Реализован интерфейс "connect" для ВГ93
* Добавлен объект общего назначения Register с интерфейсом "connect"
- Устранено пропадание курсора над окном отладчика
- Исправлено повреждение в некоторых случаях кириллических путей в настройках и запомненных последних файлах
- ZX Spectrum: добавлена реализация атрибута мерцания, курсор сейчас отображается на экране
- ZX Spectrum: исправлено декодирование адреса AY, появился отсутствовавший звук в некоторых программах
- ZX Spectrum: исправлено декодирование порта 7FFD, устранено зависание некоторых программ
- ZX Spectrum: исправлено наблюдавшееся в некоторых случаях неправильное отображение информации о положении луча и TState в отладчике
- Z80: исправлена длительность инструкций с кодами DD CB xx
- Z80: устранены неточности в реализации инструкций INI, OUTI, IND и OUTD
- Пальмира: устранен вывод мусора при выборе старших двух наборов знакогенератора из ПЗУ
- Исправлены перепутанные регистры при чтении ВТ57. Однако, считываемые значения все еще не полностью соответствуют реалу
- Исправлен вылет эмулятора в случае отсутствия загрузочных файлов в директории SD-карты адаптера по схеме vinxru
- Исправлена ошибка несоответствия реальным некоторых настроек в диалоге конфигурации платформы ZX Spectrum при первом запуске
- Исправлена ошибка инвертирования в механизме "connect" конфигурационного файла


Изменения в версии 4.0.521:

- Специалист: в комплект эмулятора добавлен отсутствовавший файл ROM SDOS
- Z80: исправлена работа регистра R, восстановлена работоспособность игр Twinz и др. на ZX Spectrum
- Для SD-адаптера по схеме HWM_PVV сейчас корректно эмулируется сигнал Ready
- Специалист: восстановлена корректная загрузка и запуск файлов с помощью встроенного
  загрузчика в конфигурации с SD-контроллером по схеме Vinxru
- Специалист: опция "Не воспроизводить звук магнитофона" сейчас установлена по умолчанию
  для исключения посторонних звуков при работе программ, использующих 8-цветный режим


Изменения в версии 4.0.520:

+ Добавлена базовая поддержка ZX Spectrum 48K и 128K
+ Новый механизм связывания объектов в конфигурационных файлах (connect)
+ Добавлена поддержка пользовательских glsl-шейдеров
+ Разработан шейдер bwcrt, имитирующий черно-белый телевизор,
  также в комплект эмулятора добавлены несколько готовых шейдеров,
  портированных из других источников
+ Новая опция окна "Серый фон". Фон окна сейчас выключен по умолчанию
+ Новая опция "Убрать цвет" для принудительного вывода цветного изображения
  в градациях серого (кроме пользовательских шейдеров)
+ Специалист: конфигурация с SD-контроллером по схеме vinxru
+ Специалист: новая конфигурация для Специслиста с SD-адаптером по схеме HWM PVV и SDOS.
+ Возможность ограничить в настройках перечень предалагаемых платформ
+ Добавлена опция переключения пользовательского интерфейса на платформо-независимый стиль Fusion
  (может быть необходим для использования темной темы оформления)
* Режим смешивания полукадров сейчас работает с учетом гаммы sRGB, старое поведение выделено в отдельную опцию
  Цвета в режимах gigascreen сейчас должны отображаться более корректно
* ПК8000: в режиме 0 сейчас отображаются 8 символов в последнем столбце, как на реале (только в режиме с бордюром)
* Уменьшена вероятность "залипания" клавиш в некоторых случаях в режиме smart-раскладки
* В диалоге "О программе" добавлена информация об используемой версии Qt, компиляторе, платформе, ядре, архитектуре, платформе Qt и стиле оформления
* Переработан код управления окнами в Qt-версии, минимизированы проблемы с сохранением размеров и положением окон
* Полноценная поддержка темной темы при сборке с последними версиями Qt, а также в web-версии.
  Доступность темной темы в Qt зависит от ОС, версии Qt и используемого стиля оформления
* РК-86: добавлен режим цветности "Апогея"
* Для SD-контроллера vinxru реализована независимость от регистра имен файлов в эмулируемой файловой системе
  (актуально для Linux etc., имена в смешанном регистре не поддерживаются)
* С панели инструментов убраны редко используемые кнопки "Открыть wav" и "Захват печати"
- Исправлена ошибка, иногда вызывавшая падение при запуске
- Исправлены возникавшие в некоторых случаях артефакты на границе изображения
- Исправлены проблемы совместимости с Qt6
- Исправлена возникавшая при некоторых условиях проблема с пропаданием курсора мыши при открытии диалоговых окон
- Добавлены в диалог настроек отсутствовавшие там режимы цветности для ПК "Апогей", "РК-86" и "Электроника КР-04"
  (переключение режимов через меню и горячие клавиши было доступно)
- Вектор: исправлено поведение при сбросе по F11
- Орион: исправлен автоматический выбор конфигурации Ориона при открытии файлов Ориона


Изменения в версии 4.0.501:

- Исправлена ошибка загрузки мультиблочных LVT-файлов на ПК "Львов"
- Исправлено возможное пропадание звука на Linux
- Исправлена работоспособность wx/sdl и lite-версий на Linux
- Исправлена ошибка при сборке с помощью MSVC 2015
- Исправлена передача в командной строке Windows-версий файлов, содержащих в пути кириллицу или другие unicode-символы
- Другие мелкие исправления


Изменения в версии 4.0.498:

+ Возможность плавного ускорения и замедления работы эмулятора до 16x
+ Режим полной скорости по Alt-End (просто End сейчас увеличивает текущую скорость в 4 раза)
+ Поддержка реального значения FPS на мониторах FreeSync/G-Sync
* Обеспечена возможность сохранения размера окна эмулятора в режиме изменяемого пользователем размера (Alt-0),
  добавлена новая опция, настраивающая это поведение
* Добавлены новые режимы масштабирования окна 1.5x и 2.x, а также соответствующие пресеты
* Переработаны настройки видео, уменьшен фрейм эмуляции, улучшена отзывчивость на слабых ПК в случае нехватки мощности процессора
* Добавлен режим Стерео для AY
* Поддержка схемы ВГ75 PIXELTRON на РК-86, включается в конфигурационном файле (см. справку по платформе)
  https://zx-pk.ru/threads/35812-ot-chjornogo-k-belomu-(skhema-kod).html
* Добавлена возможность чтения файлов формата TSX наряду с CAS для формата записи на ленту MSX. Включено по умолчанию для SP580.
* Добавлена конфигурация для стандартного Специалиста с процессором Z80
* Специалист SP580 выделен в отдельную платформу
* Специалист SP580: обновлено ПЗУ до последней версии
* Специалист SP580: доработана smart-раскладка клавиатуры
* Апогей: добавлен режим черно-белого выхода цветного Апогея (градации серого)
* Добавлена информация о текущем загруженном образе диска во всплывающей подсказке ко кнопкам выбора образа
* Добавлена возможность "выхода" из web-версии эмулятора
* Добавлена опция очистки информации о нажатых клавишах при выходе из отладчика для предотвращения "залипания"
* Обеспечена возможность сборки с Qt 6.x
* В web-версии сейчас меняется адрес страницы при запуске программ, обеспечена возможность перехода по истории браузера с помощью кнопок "назад" и "вперед".
- Исправлена ошибка при записи на диск последних секторов на дорожке, что могло приводить к повреждению файлов в образе диска
- Исправлена ошибка в генераторе шума AY-3-3910, появился стук колес в игре "Стоп-кран" на Векторе
- Исправлена сборка с помощью GCC 13
- Исправлено сохранение опции "Выход в отладчик по недокументированным командам"
- Исправлена неработоспособность переключения коррекции PAR на Партнере с включенным МЦПГ
- Исправлено открытие ссылок в окне "О программе"


Изменения в версии 4.0.480:

+ Поддержка ПК "Башкирия-2М". Основная часть эмуляции выполнена Дмитрием Целиковым (b2m)
+ WebAssembly-версия эмулятора. Доступна онлайн на сайте https://online.emu80.org
* Вектор: возможность подключать и загружать образы дисков по "Load & Run" (Alt-F3)
* Орион: добавлена поддержка загрузки файлов формата .ori
* Орион: убрана проверка на выравнивание по границе 16 байт при загрузке bru/ord-файлов
* Специалист: поддержка конфигурации с Монитором-1 и ПК-01М (для запуска ПК-01М см. подсказку)
* ПК-8000: в образ жесткого диска, поставляемого с эмулятором, добавлен файловый менеджер FM.COM (DemonId7)
* Пальмира: корректное отображение режима ВГ75 VGA 400 строк
* Размер окна в режиме пользовательского размера сейчас сохраняется между запусками
* Поддержка ROM-дисков по схеме vinxru для ПК Апогей увеличенного объёма до 8 Мб, спасибо Shaos!
* Небольшие исправления в эмуляции ВВ55 и ВГ75
* Более корректное поведение и более понятные сообщения об ошибках, если при запуске эмулятора отсутствуют необходимые для работы файлы
* Состояние ВН59 сейчас отображается в отладчике
- Корвет: поддержка строчного прерывания
- Вектор: исправлены тайминги прерываний, приводившие к "некруглости"
- Исправлены тайминги команды CALL cc на Z80
- В большой степени переписана поддержка ВН59, исправлены множественные ошибки
- Исправления в обработке прерываний ВМ80
- ВИ53: исправлена работа операции защелкивания
- ВИ53: добавлены 2 такта ожидания после загрузки счетчика, демо SkyNet на Векторе сейчас не обнаруживает работу под эмулятором :)
- Скорректированы тайминги клавиш при вставке текста из буфера обмена
- Исправлена ошибка, вызывающая падение эмулятора при попытке открыть файл c несколькими точками в имени из директории SD-карты
- Исправлена сборка SDL-версии эмулятора
- Устранены проблемы с восстановлением размера и положения окна после выхода из полноэкранного режима (Qt)
- Решена проблема с отображением интерфейса эмулятора при запуске в MacOS с темной темой


Изменения в версии 4.0.466:

+ Добавлена поддержка вставки текста из буфера обмена (имитация нажатия клавиш).
  На данный момент работает на ПК РК-86, Апогей, Партнер, ПК-8000, Вектор, Корвет.
  Перечень поддерживаемых ПК будет расширяться.
+ Партнер: добавлена поддержка не существующего пока в железе модуля SD-карты на базе схемы Алексея Морозова.
  Вызов оболочки - E1.
* Исправления в работе ВГ75. Исправлено поведение при программировании режима более 80 символов в строке
  Проходит этот тест:  https://zx-pk.ru/threads/33936-pishem-igry-pod-rk-podobnye.html?p=1192880&viewfull=1#post1192880
* Исправления в работе таймера ВИ53. Сейчас работает Exolon на Векторе и порт "Wave AY". 
* Добавлена поддержка ROM-диска для ПК-8000
  (закомментировано ввиду некорректной работы образа картриджа с играми из-за неполной эмуляции таймингов)
* В эмуляцию адаптера ROM-диска Апогея добавлен параметр, управляющий размером диска
+ Добавлена поддержка расширенного РОМ-диска по схеме Апогея в РК-86, включается в конфигурационном файле. Спасибо Shaos!
* Вектор: возможность указания в конфиге файла ПЗУ произвольного размера
* ЮТ-88: добавлена поддержка ROM-диска
* ЮТ-88: добавлена возможность задания размера RAM-диска в конфиге
* ЮТ-88: Монитор-F обновлен до версии 1.01 (https://zx-pk.ru/threads/24511-yut-88-displejnyj-modul.html?p=778159&viewfull=1#post778159)
* ЮТ-88: переработана эмуляция экрана с использованием оригинальных таймингов (изображение смещено на 1 строку для полного отображения)
* Микро-80: добавлена поддержка RAM и ROM-дисков
* Для Микро-80 и ЮТ-88 добавлен образ ROM-диска с CP/M из проекта https://github.com/prokushev/micro-80-cpm
* РК-86 и подобные: исправлена невозможность набрать символ подчеркивания ("_") в smart-раскладке.
* РК-86: файл образа диска, поставляемый с эмулятором, заменен более корректно сформированной версией
* Пальмира: уточнена эмуляция ВГ75, реализовано пунктирное подчеркивание, как в оригинальном РК-86
- Партнер: исправлена ошибка: в некоторых режимах некорректно накладывались изображения основного ВГ75 и МЦПГ
- Вектор: исправлено программирование палитры на Векторе при установке высоких частот процессора
- Корвет: исправлен регистр символов при использовании smart-раскладки клавиатуры
- ЮТ-88: исправлена форма курсора
- Пальмира: исправлена наблюдавшаяся иногда проблема с неправильным PAR в режиме VGA
- Отладчик: не работало обновление экрана при изменении экранной области через дамп


Изменения в версии 4.0.456:

+ Добавлена новая конфигурация для ПК "Электроника КР-03"
+ Полностью переработаны опции командной строки, старый синтаксис оставлен для совместимости
* Пальмира: в образ SD-карты добавлена CP/M с примером образа диска
* РК-86: образ диска РК в составе эмулятора заменен на более полный
* Вектор: исправлено отображение бордюра в режиме высокого разрешения
* Орион: добавлен третий ВВ55
* Орион DSDOS: обновлена версия DSDOS в составе эмулятора до 3.95
* Орион DSDOS: объем памяти расширен до 512 КБ
* Орион DSDOS: улучшения и исправления в эмуляции дисковода
* Орион DSDOS: поддержка расширенного ROM-диска, управляемого портом FE
* Орион DSDOS: поддержка жесткого диска на третьем ВВ55
* Орион DSDOS: в состав эмулятора включен архив с пустым образом жесткого диска. Перед использованием распаковать!
* КР-04: клавиша ВР назначена на клавишу Menu ПК
* КР-04: обновлен до последней версии SD BIOS
* Корвет: отображение в эмуляторе текущей отображаемой скан-линии
* Корвет: исправления в эмуляции экрана
* Корвет: эмуляция второго канала таймера со строчной частотой экрана на входе (не до конца отлажено)
* Улучшена эмуляция ВВ55
* Улучшена эмуляция ATA (IDE) интерфейса
* Добавлена эмуляция форматирования ГМД. На данный момент протестирована на Орионе и ПК8000.
- Орион: исправлена тактовая частота
- Корвет: исправлена ошибка с использованием всего объема графического ОЗУ и работой RAM-диска
- Корвет: исправлена ошибка - не переключался режим цветности из меню
- Пальмира: исправлен регистр файлов в директории эмулируемой SD-карты (не работала эмуляция SD-карты в системах, отличных от Windows)
- Исправлена ошибка с неработавшим иногда переключением назначения клавиш F5/F9 в отладчике
- Исправлена ошибка при сборке с помощью GCC 13
- Исправлена ошибка при сборке Lite-версии
- Другие мелкие исправления и улучшения


Изменения в версии 4.0.444:

+ Добавлена поддержка ПК "Северная Пальмира"
+ Добавлена сборка для ОС Linux x86_64
* Переработана и дополнена документация
* Устранена избыточная загрузка процессора в режиме отладки или паузы,
  также несколько снижена загрузка процессора при работе на большинстве платформ
* Добавлен список последних файлов при загрузке файлов
* Реализовано сохранение и восстановление при следующем запуске позиции окна эмулятора (пока без пользовательского размера)
* Изменено поведение индикатора FPS: сейчас показывается реальное значение обновлений в секунду,
  период обновления индикатора увеличен до 1 секунды
* При выборе пункта из последних файлов или платформ он сейчас поднимается на верх списка
* При сохранении скриншота установлен по умолчанию формат png
* Убрано ограничение на количество точек останова в отладчике
* В окно отладчика добавлено меню, будут добавляться новые возможности, доступные через меню и панель иснтрументов
* Опция сохранения памяти в отладчике перенесена с клавиши F2 на F12
* Вектор: добавлено отображение в отладчике информации о состоянии квазидисков
* Корвет: уточнено декодирование адресов портов
* КР-04: реализованы прерывания
* КР-04: добавлена возможнсть копирования текстового экрана
* Для ВГ75 теперь в отладчике показывается текущая отображаемая строка;
  также при отладке реализовано частичное отображение экрана до текущей позиции луча
* Для ВГ75 добавлена поддержка режима VGA (640*480)
* Улучшена эмуляция SD-контролера по схемме vinxru
* Отключается звук таймера на РК86, поскольку стандартный Монитор не инициализирует таймер при сбросе
- Устранено возникавшее иногда падение эмулятора при переключении платформ
- Исправлен звук при уровне громкости 6
- Устранено искажение звука при ускорении работы эмулятора (например, по клавише Del)
- Исправлено поведение Here (F4) в отладчике, повторное нажатие в той же строке не приводило к выполнению
- В отладчике сейчас обновляется информация после загрузки файла или сброса
- Устранено некорректное поведение при сбросе при открытом отладчике на некоторых платформах
- Исправления в позиционировании окон на экране: окно эмулятора иногда появлялось
  на дополнительном мониторе, окно отладчика перемещалось во время работы, не переключался фокус
  на основное окно после выхода из отладчика
- Корвет: устранен возможное подение эмулятора в режиме Корвета
- Корвет: удалены неиспользуемые пункты меню и кнопки на панели инструментов
- Вектор: исправлен признак обращения к стеку при выполнении команды CALL;
  EDD сейчас работает корректно с этой инструкцией
- Вектор: исправления в поведении эмулятора при сбросе по F12
- КР-04: устранено падение эмулятора при попытке переключения на альтернативный шрифт
- КР-04: исправлена работа SD-контроллера
- КР-04: исправлены проблемы при загрузке некоторых файлов
- РК-86: исправлен диапазон адресов контроллера ПДП
- РК-86: уточнения в эмуляции схемы подключения таймера, исправлен звук в некоторых играх
- Исправлено время выполнения команды MOV B,B на i8080
- Исправления в работе режима 2 таймера ВИ53
- Исправлена сборка с помощью MSVC 2015
- Исправлена сборка SDL/wx-версии с помощью Makefile'а
- Другие мелкие исправления и улучшения


Изменения в версии 4.0.422:

- Восстановлена работа игры T-Rex, демо SkyNet и других программ на Векторе
  (исправления в работе команды Read Address контроллера НГМД)


Изменения в версии 4.0.420:

+ Поддержка ПК "Криста"
+ Добавлен новый режим сглаживания: границы пикселов
+ Вектор: поддержка жесткого диска
+ Вектор: поддержка второго квазидиска на порту 11h
+ Корвет: поддержка AY-3910 на порту ВВ55
+ КР-04: поддержка SD-адаптера по схеме vinxru
+ Микроша: поддержка оригинального внешнего ПЗУ-модуля для Микроши
+ Поддержка светового пера на ВГ75.
  Проверено на "Кристе", возможно, будет работать и на других ПК
+ Диалоги аппаратной конфигурации (Alt-F8) для Вектора (конфигурация электронных дисков),
  Корвета (конфигурация AY-3910), Микроши (конфигурация внешнего ПЗУ) и КР-04 (конфигурация SD-контроллера)
+ Возможность сохранения полного дампа памяти в отладчике по клавише F2
* Изменены настройки отображения и окон, обновлен набор пресетов
* Переписан код вывода на экран, сейчас используется native OpenGL (в Qt - всегда, в SDL - при возможности)
* Новое меню и горячие клавиши для жесткого и электронного дисков по аналогии с меню для НГМД
* Исправлена работа "умной" раскладки при быстром наборе
* Переработано меню выбора платформы, сейчас оно иерархическое со списком последних платформ
* РК-86: добавлены настройки типа SD-адаптера, обновлены образ карты и прошивки SDOS, исправлены ошибки
* КР-04: уточнена скорость работы КР-04, добавлены такты ожидания для выборки знакогенератора
* ПК8000: обновлен HDD ROM до последней версии (1.5)
* Микроша: в подсказку добавлена информация о раскладке клавиатуры
- Корвет: исправлено отображение текстовых атрибутов
- КР-04: исправления в эмуляции таймера ВИ53
- КР-04: восстановлена работа клавиши СБРОС
- КР-04: исправлен запуск файлов .rk4 из командной строки
- ПК8000: исправления в распределении адресного пространства
- Микроша: возвращен отсутствовавший альтернативный шрифт 8x12
- Вектор: исправлено неполное сохранение диска ERAM
- Добавлены русские переводы для пропущенных пунктов меню
- Исправления в режиме 0 таймера ВИ53,
  сборник "Хит-парад" для Микроши опять загружается, работает обмен с магнитофоном на КР-04
- Исправлена проблема с FPS в половину кадровой частоты на некоторых видеокартах
- Исправлена работа некоторых горячих клавиш (Qt)
- Восстановлена корректная работа "Открыть и запустить" (Alt-F3) на некоторых программах на РК-совместимых компьютерах
! КР-04: пока не реализованы прерывания


Изменения в версии 4.0.400:

+ Поддержка ПК "Корвет"
+ Поддержка принтера, в настоящее время доступна для для ПК "Корвет", "Вектор", "ПК8000", "Львов"
* Новый интерфейс для управления образами дискет: список последних файлов, отключение, режим защиты записи, автоподключение при старте (Qt)
* Добавлена поддержка записи в эмуляцию контрллера SD-диска по схеме vinxru, пока только в Qt-версии
* Поддержка четырех НГМД, пока только для ПК "Корвет"
* Улучшения в эмуляции экрана ПК8000
* Поддержка режима 2 таймера ВИ53
* Русский интерфейс сейчас устанавливается по умолчанию не только для России, но и для других стран с установленной русской локалью (Qt)
* Установлен минимальный размер окна 100×75 во избежание окна слишком маленького размера при некорректном программировани ВГ75
- Вектор: исправлена работа T-Rex и Binorum
- ПК8000: Исправлено поведение при записи в вдреса ПЗУ слотов расширения (запись в ОЗУ)
- Исправления в эмуляции FDC 1793
- Исправления в эмуляции ВВ55
- Исправлено переключение в полноэкранный режим в Gnome и основанных на нем оконных менеджерах (Qt)
- Исправлена иногда наблюдавшаяся инверсия состояния кнопки "Пауза" на панели инструментов (Qt)
- Улучшено отображение информации в строке статуса (Qt)
- Другие мелкие исправления и улучшения


Изменения в версии 4.0.379:

- Небольшие уточнения в эмуляции ПК КР-04 и Львов, не влияющие на выполнение существующих программ
- Исправлена сборка SDL/wx-версии с помощью GCC 7 и выше
- Исправлено время выполнения команды Z80 RET cc при выполнении условия
- Множественные исправления времени исполнения команд Z80 на Векторе
- Устранены клики при работе с ПК Вектор (в большинстве случаев)
* Изменения в звуковой подсистеме, уровень громкости 6 сейчас полнофункционален и установлен по умолчанию


Изменения в версии 4.0.377:

+ Поддержка ПК "Электроника КР-04"
+ Поддержка ПК "Специалист SP-580"
+ Поддержка ERAM в Векторе
* Добавлено отображение информации о состоянии ВГ75 и ВТ57 в отладчике
* Добавлено отображение в статусной строке информации о проценте замедления процессора в результате ПДП
* Добавлена справка по платформе для ПК Лик, обновлена справка по некоторым другим платформам
* Добавлены раскладки клавиатуры в справку по ПК группы "Специалист":
  Специалист, Специалист-MX, Лик, Eureka, SP-580
* Добавлены 2 новых типа клавиатуры для ПК группы "Специалист": Лик и Eureka
* Для сборки под MacOS понижены системные треования - минимальная версия ОС сейчас - 10.8 Mountain Lion
- Исправлен режим отображения "без бордюра" на Векторе (Alt-V)
- Исправлена схема подключения таймера в Специалисте-MX
- Исправлены мелкие баги в эмуляции ВИ53: работает демо vi533.rom для Вектора,
  потенциально в некоторых случаях улучшен звук
- Исправлена ошибка, проявлявшаяся в падении при выходе, в основном под MacOS
- Прочие мелкие исправления
! Сборка под MacOS все еще не до конца отлажена, остается некоторое количество не очень критичных проблем


Изменения в версии 4.0.362:

+ Опция быстрого сброса, горячая клавиша для включения/выключения - Alt-U. Доступна на ПК Львов, Орион, Микро-80 (с монитором РК-86).
* Оригинальный ч/б видеорежим с пунктирным подчеркиванием на РК-86 (добавлен) и Микроше (исправлен)
* MacOS: клавиша Control сейчас работает как УС (СС), не дублирует Alt (Option)
* Добавлены ассоциации расширений .cas, .rom и .lvt с платформами «ПК8000», «Вектор» и «Львов» при запуске из командной строки
* SDL/wx: горячая клавиша для максимизации окна изменена с Alt-M на Alt-Shift-M, на Alt-M назначено отключение звука, как и в Qt-версии
* Новая горячая клавиша Alt-T для включения/отключения перехвата магнитофонных операций
* В справку по «ПК8000» и «Вектор» добавлены схемы раскладки клавиатуры
* Добавлены всплывающие подсказки к элементам строки состояния
- Исправления в ч/б палитре ПК8000
- Исправлена работа клавиш «начало строки» (NumPad «1») и «конец строки» (NumPad «3») на ПК8000
- Исправлено отображение текущей платформы в заголовке окна эмулятора для некоторых конфигураций Радио-86РК


Изменения в версии 4.0.357:

+ Новый режим экрана и соответствующий пресет - 4x6 (Alt-8)
+ Эмуляция ч/б выхода для ПК "Львов", "Вектор", "ПК8000"
+ Новая функция копирования текстового экрана в буфер обмена (Alt-Shift-Ins). Доступна на ПК с текстовым экраном: "РК-86", "Апогее", "Партнере", "Микроше", "Микро-80", "ЮТ-88"
+ Выделение основных платформ в списке выбора по Alt-F9
* Новые уровни громкости 6 и 7. Рекомендуется по-прежнему не более 5, он же сейчас устанавливается по умолчанию
* Для сборки эмулятора сейчас требуется gcc версии не ниже 5.1
* wx/SDL-сборка под Windows сейчас использует wxWidgets 3.1.5 и SDL 2.0.12
* Добавлена иконка для файлов .lvt
* "Львов": улучшена точность скорости эмуляции
- "Львов": исправления в распределении адресного пространства
- "Львов": исправления в эмуляции встроенного динамика
- Исправлено переключение в полноэкранный режим в режимах с неквадратной точкой - 2x3, 3x5, 4x6
- SDL/wx: в настройки добавлены отсутствующие опции смешивания полукадров для "ПК8000" и "Вектора"
- Qt: исправлена функция снятия скриншотов в режиме смешивания полукадров
- Исправлен скрипт для настройки ассоциаций файлов с эмулятором под Windows
- Убрано предупреждение при запуске wx/SDL-версии эмулятора, собранной с wxWidgets версии 3.1.3 и выше
- Исправлена небольшая неточность палитры на ПК "Вектор"
- Прочие мелкие исправления
! Не загружаются с автозапуском некоторые файлы для "Ориона", приходится их загружать без автозапуска и запускать явно


Изменения в версии 4.0.351:

- Исправления в эмуляции ВВ55: не работало управление в игре T.Rex на Векторе
* Небольшие уточнения в скорости работы ПК "Львов"
* В настройки ПК "Львов" добавлена опция "Мулитиблочная загрузка", актуальная для этого ПК


Изменения в версии 4.0.350:

- Львов: Исправлены проблемы с загрузкой некоторых файлов встроенным загрузчиком
- Qt: Не работал режим растягивания в окне отладчика (Alt-9)
* Львов: Исправлены некоторые проблемы с клавиатурой: не работали клавиши Home и СУ (Crtl),
  не работало управление в mines.lvt, исправлены неточности раскладки в справке
* Львов: Полная поддержка smart-режима клавиатуры.
  Сейчас нет необходимости в переключении языка с помощью клавиш РУС/ЛАТ, язык переключается средствами системы
* Qt: Добавлена горячая клавиша для вызова справки по платформе (Alt-F1)
* Небольшие косметические изменения


Изменения в версии 4.0.349:

+ Поддржка ПК-01 Львов
+ Новые режимы масштабирования экрана 4x, 5x, 2x3, 3x5 и соответствующие им пресеты, а также пресет stretch
+ Специалист-MX: добавлена возможность чтения/записи образов лент RAMFOS в виде файлов .rfs (а также .wav и .csw)
+ В справку по платформам добавлена информация по раскладкам клавиатуры. Пока только для ПК РК-86, Апогей, Партнер, Львов
* Для ПК8000 и Львова сейчас устанавливается по умолчанию решим масшабирования 2x3
- ПК8000: решена проблема с чтением РК-файлов из эмулятора РК-86
- Устранен вылет эмулятора в конфигурации РК-86 Z80
- Другие небольшие исправления


Изменения в версии 4.0.346:

+ Поддержка Covox в Векторе
+ Новая опция отладчика: использовать мнемоники Z80 для 8080
+ Новая опция: не воспроизводить звук магнитофона. Особенно полезна для Специалиста для устранения треска при использовании цвета
+ Поддержка SD-адаптеров по схемам hwm_pvv, msx, n8vem
+ Конфигурация для РК-86 с поддержкой SDOS, в дистрибутив вулючен образ SD-карты с распространеными программами для РК-86
+ Поддержка проверки значений переменных в конфигурационных файлах
+ Новое окно аппаратной конфигурации, вызываемое по Alt-F8 или по кнопке на панели инструментов
  Пока только в Qt-версии. Предполагается, что будет предназначено для изменения аппаратной конфигурации
  эмулируемого ПК. Пока здесь настраиваются только пути к образам и директориям SD-карт и ROM-дисков для РК-86 и Апогея.
+ Сделана сборка для MacOS, исправлены некоторые замечания по работе в этой ОС
* Qt-версия: возможность сохранять скриншоты в формате png (спасибо Pavel Dovgalyuk)
* Регистр I Z80 сейчас отображается в отладчике
* Если при запуске не найдены конфигурационные файлы эмулятора, выводится окно с ошибкой
* Исправлен неработающий фильтр в окне открытия файлов в Linux, из-за чего не были видны wav-файлы при открытии (спасибо xintrea)
- Партнер: включение МЦПГ сейчас корректно происходит по биту 7 порта DC00 (было по биту 0)
- ПК8000: исправлена запись в регистры цвета в зависимости от сигнала гашения
- Eureka: устранены проблемы со звуком
- Исправления в эмуляции процессора Z80 в режиме прерывания IM2
- Исправлены небольшие ошибки в сохранении настроек


Изменения в версии 4.0.340:

+ Возможность настройки символьной страницы для отображения текстовой информации в отладчике
+ Возможность задания в настройках произвольного целевого формата экрана наряду с 4:3 и 16:9
* При обнудении счетчика тактов в отладчике сейчас также отображается его текущее значение (обнуление происходит по точке останова либо F4 (Here))
* Оптимизировано расположение окон отладчика на экране после запуска (Qt)
* Скорректирована палитра цветов ПК8000, немного понижена яркость темных цветов
- Устранена проблема с размером окна отладчика в Windows XP (Qt)
- Исправлена несовместимость с Qt версии более 5.10 или 5.11 под Linux/GTK: отображалось пустое окно выбора файла
- Исправлена ошибка: ESC переставал работать после его использования для выхода из меню (Qt)
- Устранены проблемы в работе прерываний на Векторе. "Filer" сейчас работает.
- Исправлена работа клавиш ПК8000 "ВЗ" и "ИЗ" на клавишах "/" и "*" дополнительной цифровой клавиатуры (SDL)
- Исправлены другие небольшие ошибки


Изменения в версии 4.0.334:

* F4 (Here) в отладчике сейчас сбрасывает счетчик тактов процессора
- исправлена ошибка: в отладчике невозможно было установить точку останова с помощью F9/F5.


Изменения в версии 4.0.333:

+ поддержка ПК "Вектор-06Ц"
+ краткая справка по основнм платформам
+ отображение в отладчике оиформации о тактах процессора, состоянии контроллера НГМД,
  позиции луча (пока только для "Вектора")
+ горячая клавиша и кнопка на панели инструментов для загрузки RAM-диска
+ поддержка мыши в отладчике
+ обновление экрана в реальном времени в отладчике (пока только для "Вектора")
* уточнения в эмуляции процессоров 8080 и Z80
* уточнено время исполнения некоторых команд Z80
* улучшения в эмуляции контроллера НГМД FDC 1793
* изменения в раскладке клавиатуры на ПК8000
* небольшие изменения управление с клавиатуры в отладчике: "Run" работает из любой секции, можно использовать Enter на доп. цифровой клавиатуре
- исправлены проблемы в эмуляции AY-3-3910, звучание сейчас должно соответствовать оригиналу
- устранено падение при попытке чтения некорректного WAV-файла
- исправлена ошибка в эмуляции клавиатуры на "Специалисте", в некоторых случаях эмулятор мог не реагировать на нажатия клавиш
- исправлена ошибка: невозможно было изменить тип клавиатуры "Специалиста-MX" в настройках (Qt)
- исправлен файл emu80qt-dx.cmd, предназначенный для запуска emu80 в режиме DirectX
- устранено падение эмулятора при попытке изменения размера окна отладчика (Qt)
- устранено падение при выходе из эмулятора с активными точками останова
- устранены проблемы в работе эмулятора, собранного с помощью MSVC


Изменения в версии 4.0.323:

+ Вейты на ПК8000 (с ограничениями), реальная скорость работы в большинстве случаев
+ Привязка к лучу и бордюрные эффекты на ПК8000
+ Опции отладчика, отвечающие за регистр, в котором отображается дизассемблированный текст 8080 и Z80
* В отладчике изменены действия по умолчанию клавиш F5 (Run) и F9 (Set breakpoint).
  Добавлена опция для возврата старого назначения этих клавиш.
+ Базовая поддержка ATA-интерфейса, поддержка CF-карты в ПК8000.
* Дополнительные проверки на наличие корректных конфигурационных файлов.
  Устранено (недеюсь) появление запущенных процессов эмулятора без окон в случае проблем с конфигурационными файлами.
* Поддержка сброса ВГ95 на ПК8000
* Изменения в системе перехватов процессора, небольшое повышение производительности
* Улучшен алгоритм распознавания необходимости закрытия файла образа ленты
* СMD-файлы для запуска Qt-версии в режимах OpenGl и DirectX сейчас не ждут завершения программы. Оставлен только один файл для режима DirectX (автовыбор).
- Исправления в работе команд HLT и EI.
- Исправлено отображение информации о режиме дисплея на ПК8000
- Исправления в работа клавиатуры на Специалисте (в некоторых случаях было возможно отсутствие реакции на клавиши)


Изменения в версии 4.0.316:

+ Поддержка звукового синтезатора AY-3-3910 (на данный момент в ПК8000 по схеме Mick)
+ Опция для джойстика: совмещать с клавишами клавиатуры либо назначать джойстик
  на отдельные клавиши доп. цифровой клавиатуры (пока для ПК8000)
+ Отображение флага IFF для ВМ80 в отладчике
+ Отображение состояния паузы в строке состояния
+ В Windows-дистрибудив Qt-версии добавлены cmd-файлы для принудительного запуска эмулятора
  в режимах OpenGL, DirectX 9, Direct 11
* ПК8000: привязка к лучу с точностью до скан-линии, исправлено отображение бордюра
- ПК8000: Исправления в работе прерываний
- Устранено наблюдавшееся иногда залипание клавиш после сброса (обычно в Qt-версии)
- Исправления в звуковой подсистеме, снижение загрузки процессора


Изменения в версии 4.0.314:

+ ПК8000: добавлена поддержка джойстика
- Исправлена работа клавиш дополнительной цифровой клавиатуры (Qt)
- ПК8000: исправлена загрузка файлов в wx/SDL-версии
- ПК8000: исправления в работе прерываний и портов 92 и 93


Изменения в версии 4.0.313:

+ Поддержка ПК 8000 (Сура, Хобби, Веста)
+ Опция отображения реального бордюра на Орионе, Специалисте и Эврике
+ Скорость эмуляции в случае несоответствия нормальной сейчас отображается в строке состояния (Qt)
* Поддержка вложенных if(n)def в конфигурационных файлах
* Сообщения об ошибках сейчас выводятся в консоль (Qt)
* Переработана и исправлена раскладка клавиатуры, мог насажать новых багов ;)
* Добавлена опция условной компиляции с оптимизацией под RPi (thanks to svofski)
* Дополнена документация
- Исправлено сохранение .opt-файлов (wx)
- Исправлены мелкие ошибки в эмуляции контроллера НГМД и контроллера SD-карты
- Устранены утечки памяти
- Добавлен отсутствующий файл ПЗУ контроллера НГМД для Микроши


Изменения в версии 4.0.307:

+ Добавлена поддержка RK-SD-контроллера для РК-86 и Апогея (пока только в режиме read only)
+ Новая опция: "показывать только видимую область", скрывает область гашения луча на ТВ (пока только для ВГ75)
+ Новая опция: "широкоэкранный режим (16:9)", рассчитывает aspect ratio для ТВ формата 16:9
+ Опция копирования графического экрана в буфер обмена (Alt-Ins) (qt)
+ Добавлено отображение размеров экрана в строке состояния (qt)
+ Добавлен скрипт AssociateFiles.cmd для ассоциирования эмулятора с файлами программ, добавлены иконки типов файлов
  (ассоциирование производится для текущего пользователя, отменить ассоциации - DeassociateFiles.cmd) (qt)
+ Добавлен скрипт RestoreSettings.cmd для восстановления настроек эмулятора по умолчанию в случае проблем (qt)
- Исправлена загрузка некоторых типов файлов из командной строки
- Устранено падение эмулятора в режиме альтернативного шрифта для ЮТ-88 и Микро-80
- Не работала комбинация клавиш Alt-S в полноэкранном режиме (qt)
- Исправлено сохранение скриншотов в wx/SDL-версии
- Другие мелкие исправления


Изменения в версии 4.0.302:

+ Две сборки: новая Qt-версия и старая SQL/wx
+ Режим имитации линий растра
+ Сохраниние в файл и загрузка из файла RAM-диска (Орион, Специалист-MX, ЮТ-88)
+ Поддержка контроллера НГМД в Микроше
* Новый пользовательский интерфейс (qt-версия)
* Автоматическое скрытие указателя мыши (qt-версия)
* Автосохранение настроек (qt-версия)
* Запоминание последних путей к файлам (qt-версия)
* Мультиязычный интерфейс (qt-версия)
* Работа в одном окне (qt-версия)
- Исправлена ошибка при редактировании флагов в отладчике
- Мелкие исправления


Изменения в версии 4.0.298:

- Исправлен звук в Микроше
- Устранены проблемы чтения с ленты в Микро-80
* Уточнен aspect ratio для всех платформ
* Режим реального aspect ratio сейчас работает также с альтернативным шрифтом
* Клавиша переключения языка Рус/Лат продеблирована также на Ins
* Параметр frameRate разбит на два: maxFps и vsync
* Горячая клавиша скриншота изменена на Alt-H
* Wav-файлы из windows-дистрибутива эмулятора заменены на CSW


Изменения в версии 4.0.292:

+ Поддержка ПК Eureka (спасибо Tomas Šimkevičius aka Protom за информацию по данному ПК,
  считанные с ленты программы и тестирование)
+ Опция в настроках: подавление запроса файла после сброса для ПК Специалист и Eureka
+ Поддержка загрузки мультиблочных файлов по Alt-F3 или из командной строки
+ Поддержка чтения/записи формата CSW наряду с WAV
* Редактирование флагов в отладчике
* Автоматический переход к редактированию следующего байта в редакторе дампа в отладчике
- Устранены возможные искажения звука на частотах 44100 и 22050 Гц
- Исправлено сохранение файлов под Linux, добавлен запрос на замену существующего файла
  (спасибо Tomas Šimkevičius)
- Исправлено чтение wav-файлов в режиме MSX


Изменения в версии 4.0.289:

+ Новый режим раскладки клавиатуры ("умная" раскладка). В этом режиме нет однозначного соответствия клавиш.
  Просто набирайте текст, в том числе и на русском языке, переключаясь привычным способом - все необходимые
  нажатия клавиш будут эмулироваться автоматически. Переключиться в этот режим можно с помощью комбинации клавиш Alt-K.
  По умолчанию режим установлен для РК-86, Апогея, Партнера и Микроши. В других ПК в корректности работы не уверен,
  но можете попробовать.
* Убран запрос rk-файла при попытке ввода с магнитофона, если уже воспроизводится wav-файл
* Реализована возможность чтение конфигурационных файлов с BOM UTF-8, во все конфигурационные файлы добавлен BOM
* Улучшена точность поддержки заданной частоты кадров
* Улучшено поведене эмулятора при запуске на медленных ПК, не обеспечивающих эмуляцию в реальном времени,
  в частности улучшена реакция на ввод с клавиатуры
* Выход звука с таймера сейчас инвертируется, чтобы избежать в большинстве случаев постоянной составляющей при отсутствии звука
* Отдельный Makefile для lite-версии в исходниках
- Устранено появление в памяти процесса без окна при проблемах в конфигурационных файлах
- Устранены проблемы с отображением текущего значения альтернативного шрифта в меню конфигурации
- Исправлены небольшие ошибки в эмуляции


Изменения в версии 4.0.277:

+ Конфигурация для ПК "Лик"
+ Загрузка rks-файлов в формате с именем по Alt-F3 и Alt-L
+ Новая команда U в отдадчике: пропуск текущей команды без выполнения
+ Параметр громкости "emulation.volume" добавлен в конфигурационный файл
+ Два новых параметра "cpu.debugOnHalt = yes" no и "cpu.debugOnIllegalCmd = yes" для выхода в отладчик по команде HALT
  и по недопустимому коду команды (для i8080) соотвтетственно (можно добавить при необходимости в конец conf-файла)
* Модифицирован Монитор РК-86 для запуска РК-ДОС по директиве U
* Вместо клавиши Alt в комбинациях клавиш может быть использована клавиша Win (Meta). Может быть полезно в Linux.
* В знакогенераторе РК знак "$" заменен на знак денежной единицы "¤"
* Изменено поведение эмулятора при отказе от выбора файла при обмене с магнитофоном: временная отмена перехвата
+ Ограниченная поддержка записи wav-файлов
+ Чтение либо запись wav при выборе его вместо rk
+ Новый параметр в глобальном ini-файле: wavReader.speedUpFactor - коэффициент ускорения работы эмулятора при загрузке wav-файлов
- Исправлена ошибка, возникавшая при выходе из эмулятора с установленными точками останова
- Исправлена работа управляющих клавиш УС, СС и РУС на Микро-80 и ЮТ-88
- Испрвлена запись rks-файлов на Специалисте
- Исправлена загрузка некоторых wav-файлов, выдававших ошибку при открытии
- Пропатченый Монитор Специалиста заменен на оригинальный
- Внутренние изменения


Изменения в версии 4.0.271:

+ Опубликованы исходники на GitHub: https://github.com/vpyk/emu80v4
- Исправлена ошибка: не всегда правильно отображалось состояние регистра AF' в отладчике
+ Добавлена возможность редактирования памяти и содержимого регистров в отладчике по Enter или F2 (пока без отдельных флагов)
+ Сохранение скриншотов в bmp-файлы (Alt-S)
+ Режим "без звука" (Alt-U)
+ Возможнсть установки громкости в конфигурационном файле (emulation.volume = 1..5)
* Внутренние изменения
! Под Linux диалоговые окна могут появляться за основным окном эмулятора


Изменения в версии 4.0.266:

- Устранена ошибка при запуске из папки, содержащей символы килиллицы либо другие символы unicode


Изменения в версии 4.0.265:

+ Добавлена опция "Установить по умолчанию" при выборе платформы
+ Добавлена вкладка общих настроек и глобальный файл настроек
+ Добавлена настройка используемого канала при чтении wav-файла
* Улучшена стабильность чтения wav-файлов
* Уточнена отработка атрибутов на ч/б Апогее (отсутствуют схемы задержки атрибутов rvv, hglt, gpa)
* Кнопка сохранения настроек заменена на CheckBox, настройки сохраняются при нажатии на Save или Apply
- В предыдущей версии не включался режим "Растянуть" по Alt-0
- Исправлены ошибки в фильтрах диалогов загрузки/сохранения файлов
- Устранены утечки памяти
* Дополнения в документации
* Внутренние изменения


Изменения в версии 4.0.256:

- Не загружались wav-файлы с параметрами 16 бит стерео
- Утечка памяти в режиме field mix
- Восстановлена работоспособность Микро-80 с Монитором РК
- В очередной раз восстановлена загрузка cpu-файлов из командной строки
+ Новый режим interlace для fieldsMixing
* Изменения в обработке поведения окон, полноэкранный режим должен работать без проблем


Изменения в версии 4.0.251:

- Исправлена работа кодов F0/F2 (конец строки/экрана) на ВГ75


Изменения в версии 4.0.250:
+ Проигрывание wav-файлов по Alt-W. Загрузка возможна при отключенном перехвате обращений
  к магнитофону. (Отмена проигрывания - повторное нажатие Alt-W)
* Убран суффикс "h" у шестнадцатеричных констант в дизассемблере отладчика
* Реализовано отключение перехвата обращений к магнитофону на Микроше
- Устранено периодическое "падение" эмулятора (чаще всего при переключении типа компьютера)
- Восстановлена загрузка cpu-файлов из командной строки
- Заменен исправленной версией файл RK-DOS для Z80 (спасибо barsik)
- Исправлено отображение заголовка окна при переключении режимов


Изменения в версии 4.0.246:

+ Микро-80 и ЮТ-88
+ Поддержка Z80 в отладчике, в том числе мнемоник Z80 для процессора ВМ80
+ Поддержка формата CAS (MSX) в Апогее
* Расширенный и компактный режимы отладчика для ВМ80
* Поддержка чтения слова состояния процессора с пустой шины в ВМ80
* Поддержка сигнала "индекс" в ВГ93
* Убран повторный запрос файла, если кончился файл ленты
* Ускорение 4x вместо 3x по клавише End
* Режим паузы продублирован на Alt-P
* Различный Aspect Ratio в зависимости от частоты кадров (i576/i480, PAL/NTSC)
* Пресет Alt-0 сейчас учитывает Aspect Ratio
- Исправлены коэффициенты Aspect Ratio для различных ПК
- Исправлена ошибка при чтении значений счетчиков ВИ53
- Реализовано отсутствие звука при программировании ВИ53 в пока не поддерживаемые режимы
- Исправлена ошибка в однобайтовых режимах загрузки таймера ВИ53
- Исправлена ошибка в работе канала 2 таймера в РК-86 и Специалисте
- Исправлена загрузка cpu-файлов Специалиста-MX из командной строки
- Исправлена ошибка в конфигурационном файле Апогея (не закрывался rka-файл после записи)
- Исправлен шрифт в отладчике
- Исправлена ошибка, иногда возникавшая при загрузке Монитора cpu-файлов
! Изредка вылетает при попытке загрузки файла, причина пока не обнаружена


Изменения в версии 4.0.225:

* Ускорен запуск эмулятора. Просьба оценить скорость запуска и необходимость lite-версии.
* Используется текущая папка при передаче имени файла без пути в командной строке.
- Исправлены некоторые фильтры при загрузке файлов.
+ Автозапуск файлов при загрузке по Alt-F3 (обычная загрузка - Alt-L).
+ Ассоциация расширений файлов в конфигурационном файле
  Если не указана опция выбора типа платформы, он оперделяется на основании расширения файла.
  При загрузке файла по умолчанию происходит автозапуск, если нужно просто загрузить,
  используйте новую опцию "-l"
+ Drag-n-drop файлов: пока только автозапуск. Перетаскивать файлы нужно в окно, в котором
  эмулируется платформа, соответствующая перетаскиваемому файлу.
* Улучшения в эмуляции ВГ75:
* исправлено поведение при одновременной установке атрибутов мерцания и подчеркивания
* исправления, касающиеся работы с флагом IE
* гашение экрана после команд stop display и reset
* Стрелки работают также и на на цифровой клавиатуре
+ Ускоренная перемотка (3x) при нажатой клавише End
+ Пауза/возобновление работы эмулятора по кнопке Pause/Break. При вызове отладчика режим паузы выключается.
+ Экспериментальная опция: Aspect Ratio. Позволяет отображать как квадратные пиксели
  (1:1), так и в соотвтетствии с реально отображаемой на экране соответствующего ПК
  картинкой. Горячая клавиша - ALt-R. Пока поддерживается только режим PAL (576i).
+ Конфигурация для РК-86 с процессором Z80 (вариант Владимира Чистякова).


Версия 4.0.218:

+ Первая публичная версия
